ModulesGrandBuilderTask (XDoclet 1.2.3 API)
Keywords: xdoclet.ant.modulesbuilder.ModulesGrandBuilderTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.ant.modulesbuilder
Class ModulesGrandBuilderTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              xdoclet.ant.modulesbuilder.ModulesGrandBuilderTask

public class ModulesGrandBuilderTask
extends org.apache.tools.ant.Task

Loops over all modules and builds each one. It builds modules the module depends on first. The module dependency is specified in a module.xml file in the root of each module. It's based on Ant's dependency checking code. Refer to that code for more details.

Version:
  $Revision: 1.13 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com)
created
  Jun 9, 2002

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ModulesGrandBuilderTask()`

Method Summary
`void` | `addConfiguredXMLCatalog(org.apache.tools.ant.types.XMLCatalog catalog)` add an XMLCatalog as a nested element; optional.
`org.apache.tools.ant.types.DTDLocation` | `createDTD()` Create a DTD location record; optional.
`void` | `execute()`
`void` | `init()` Initialize internal instance of XMLCatalog
`void` | `setTarget(String target)` set the name of the target to be called in each of the modules' build files
`Vector` | `topoSort(String root, Hashtable modules)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModulesGrandBuilderTask

    public ModulesGrandBuilderTask()

Method Detail

### setTarget

    public void setTarget(String target)

  set the name of the target to be called in each of the modules' build files

  Parameters:
    `target` - the target name

### topoSort

    public final Vector topoSort(String root,
                                 Hashtable modules)
                          throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### addConfiguredXMLCatalog

    public void addConfiguredXMLCatalog(org.apache.tools.ant.types.XMLCatalog catalog)

  add an XMLCatalog as a nested element; optional.

  Parameters:
    `catalog` - The feature to be added to the ConfiguredXMLCatalog attribute

### createDTD

    public org.apache.tools.ant.types.DTDLocation createDTD()

  Create a DTD location record; optional. This stores the location of a DTD. The DTD is identified by its public Id.

  Returns:

### init

    public void init()
              throws org.apache.tools.ant.BuildException

  Initialize internal instance of XMLCatalog

  Throws:
    `org.apache.tools.ant.BuildException`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD